/*
 * Created on 2004-09-04
 *
 * Part of the Symbian development plug-in for Eclipse
 * Copyright (C) Mikołaj Zalewski, 2004
 */
package pl.zalewski.mikolaj.symbdev.skins;

import java.io.BufferedWriter;
import java.io.IOException;

/**
 * Adds a line to epoc.eclpse.ini
 * 
 * @author mikolaj
 */
public class LineWriter implements IWriterRule {

    /**
     * 
     */
    public LineWriter(String line)
    {
        super();
        fLine=line;
    }

    /* (non-Javadoc)
     * @see pl.zalewski.mikolaj.symbdev.skins.IWriterRule#write(java.io.BufferedWriter)
     */
    public void write(BufferedWriter writer) throws IOException
    {
        writer.write(fLine);
        writer.newLine();
    }
    
    String fLine;
}
